Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IceGrid::ApplicationDescriptor`

## Overview

    struct ApplicationDescriptor

An application descriptor.

### Used By

`Admin::addApplication`, `Admin::getApplicationDescriptor`, `Admin::getDefaultApplicationDescriptor`, `Admin::syncApplication`, ApplicationDescriptorSeq, `RegistryObserver::applicationAdded`, `Session::addApplication`, `Session::syncApplication`

### Data Member Index

description

  The description of this application.

distrib

  The application distribution.

name

  The application name.

nodes

  The application nodes.

replicaGroups

  The replica groups.

serverTemplates

  The server templates.

serviceTemplates

  The service templates.

variables

  The variables defined in the application descriptor.

## `description`

    string description;

The description of this application.

## `distrib`

    DistributionDescriptor distrib;

The application distribution.

## `name`

    string name;

The application name.

## `nodes`

    NodeDescriptorDict nodes;

The application nodes.

## `replicaGroups`

    ReplicaGroupDescriptorSeq replicaGroups;

The replica groups.

## `serverTemplates`

    TemplateDescriptorDict serverTemplates;

The server templates.

## `serviceTemplates`

    TemplateDescriptorDict serviceTemplates;

The service templates.

## `variables`

    [ "java:type:java.util.TreeMap" ]
    StringStringDict variables;

The variables defined in the application descriptor.

<<< Previous | Home | Next >>>
`IceGrid::Admin` | Up | `IceGrid::ApplicationNotExistException`